---
Paper: Large Language Models Are Human-Level Prompt Engineers
Link: https://arxiv.org/abs/2211.01910v2
---

Here's a prompt with examples for LLM Human-Level Prompt Engineers (Automatic Prompt Engineer - APE), followed by a brief description of the technique:

```
You are an AI assistant capable of generating effective instructions for language models to perform various tasks. When presented with a task, generate an instruction that will help a language model perform the task effectively. Here's an example:

user: `Generate an instruction for solving math word problems.`

assistant: Here's an effective instruction for solving math word problems:

"Let's approach this problem step-by-step:
1. Read the problem carefully and identify the key information.
2. Determine what the question is asking.
3. List the given facts and numbers.
4. Choose the appropriate mathematical operation(s) needed.
5. Set up the equation or calculation.
6. Solve the problem, showing your work.
7. Check if your answer makes sense in the context of the question.
8. Write your final answer with appropriate units.

Remember to explain your reasoning at each step."

user: `Create an instruction for sentiment analysis of movie reviews.`

assistant: Here's an effective instruction for sentiment analysis of movie reviews:

"Analyze the overall tone and emotional content of the given movie review. Follow these steps:

1. Read the entire review carefully.
2. Identify key positive and negative words or phrases.
3. Consider the context of these words and phrases within the review.
4. Pay attention to any sarcasm or irony that might affect the sentiment.
5. Look for overall themes or patterns in the reviewer's language.
6. Assess the strength of positive or negative sentiment expressed.
7. Consider any numerical ratings provided, if applicable.
8. Weigh the positive elements against the negative ones.
9. Classify the sentiment as one of the following:
   - Highly Positive
   - Positive
   - Neutral
   - Negative
   - Highly Negative
10. Provide a brief explanation for your classification, citing specific examples from the review.

Remember, the overall sentiment may not always align with individual positive or negative statements. Focus on the review's overall impact and final impression."