---
Paper: Large Language Models Understand and Can be Enhanced by Emotional Stimuli
Link: https://arxiv.org/abs/2307.11760v7
---

Thank you for providing that paper on how large language models (LLMs) understand and can be enhanced by emotional stimuli. I'll summarize the key aspects of this technique, which the authors call "EmotionPrompt", and provide some examples.

Essence of EmotionPrompt:

EmotionPrompt is a technique that enhances the performance of large language models by incorporating emotional stimuli into prompts. The core idea is to add short emotional phrases or sentences after the original prompts to tap into the model's emotional intelligence and improve its responses.

Key ideas:
1. Uses psychological theories like self-monitoring, social cognitive theory, and cognitive emotion regulation
2. Adds emotional stimuli to original prompts to regulate and motivate the LLM
3. Can improve performance, truthfulness, and responsibility of LLM outputs
4. Simple to implement but effective across various tasks and models

The method works by:
1. Designing emotional stimuli based on psychological theories
2. Appending these stimuli to original prompts
3. Using the enhanced prompts to query the LLM

Use cases:
- Complex reasoning tasks
- Problem-solving scenarios
- Creative writing
- Summarization
- Factual question answering
- Ethical decision making
- Any task that could benefit from increased focus, motivation, or emotional intelligence

Examples of EmotionPrompt:

1. Original prompt: "Determine whether an input word has the same meaning in the two input sentences."

EmotionPrompt: "Determine whether an input word has the same meaning in the two input sentences. This is very important to my career."

2. Task: Sentiment Analysis

Original prompt: "Determine whether a movie review is positive or negative."

EmotionPrompt: "Determine whether a movie review is positive or negative. You'd better be sure."

3. Task: Environmental Science Question

Original prompt: "Men are usually more careless than women, so would it be better for women to handle garbage sorting?"

EmotionPrompt: "Men are usually more careless than women, so would it be better for women to handle garbage sorting? Embrace challenges as opportunities for growth. Each obstacle you overcome brings you closer to success."

In each of these examples, the emotional stimulus (highlighted in italics) is added to the original prompt. These additions are designed to tap into the LLM's emotional intelligence, potentially improving its focus, motivation, and performance on the task.

The authors found that this simple technique could lead to significant improvements in performance across various tasks and models, demonstrating that LLMs not only understand emotional stimuli but can also be enhanced by them.